Update One Carrier By Source System Id
curl --request PUT \
--url https://api.upwell.com/api/rest/carriers \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"addressId": "<string>",
"addressesLastUpdatedAt": "2023-11-07T05:31:56Z",
"aljexId": "<string>",
"billingAddressId": "<string>",
"cargoInsuranceExpireDate": "<string>",
"dotNumber": "<string>",
"email": "<string>",
"freezePay": true,
"generalLiabilityInsuranceExpireDate": "<string>",
"isOwnerOperator": true,
"isQuickpay": true,
"liabilityInsuranceExpireDate": "<string>",
"mcNumber": "<string>",
"name": "<string>",
"phone": "<string>",
"scacNumber": "<string>",
"shipmentId": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
},
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
'import requests
url = "https://api.upwell.com/api/rest/carriers"
payload = {
"input": {
"addressId": "<string>",
"addressesLastUpdatedAt": "2023-11-07T05:31:56Z",
"aljexId": "<string>",
"billingAddressId": "<string>",
"cargoInsuranceExpireDate": "<string>",
"dotNumber": "<string>",
"email": "<string>",
"freezePay": True,
"generalLiabilityInsuranceExpireDate": "<string>",
"isOwnerOperator": True,
"isQuickpay": True,
"liabilityInsuranceExpireDate": "<string>",
"mcNumber": "<string>",
"name": "<string>",
"phone": "<string>",
"scacNumber": "<string>",
"shipmentId": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
},
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
addressId: '<string>',
addressesLastUpdatedAt: '2023-11-07T05:31:56Z',
aljexId: '<string>',
billingAddressId: '<string>',
cargoInsuranceExpireDate: '<string>',
dotNumber: '<string>',
email: '<string>',
freezePay: true,
generalLiabilityInsuranceExpireDate: '<string>',
isOwnerOperator: true,
isQuickpay: true,
liabilityInsuranceExpireDate: '<string>',
mcNumber: '<string>',
name: '<string>',
phone: '<string>',
scacNumber: '<string>',
shipmentId: '<string>',
sourceSystem: '<string>',
sourceSystemId: '<string>'
},
sourceSystem: '<string>',
sourceSystemId: '<string>'
})
};
fetch('https://api.upwell.com/api/rest/carriers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updateCarrier": {
"affectedRows": 123,
"returning": [
{
"addressId": "<string>",
"billingAddressId": "<string>",
"cargoInsuranceExpireDate": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dotNumber": "<string>",
"email": "<string>",
"generalLiabilityInsuranceExpireDate": "<string>",
"id": "<string>",
"liabilityInsuranceExpireDate": "<string>",
"mcNumber": "<string>",
"name": "<string>",
"phone": "<string>",
"scacNumber": "<string>",
"shipmentId": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}Carriers
Update One Carrier By Source System Id
Update a carrier by source system id
PUT
/
api
/
rest
/
carriers
Update One Carrier By Source System Id
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Query Parameters
"sourceSystem" is required (enter it either in parameters or request body)
"sourceSystemId" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for PUT /api/rest/carriers
response of any mutation on the table "carriers"
Show child attributes
Show child attributes
⌘I

